import { Service, PlatformAccessory, Characteristic } from 'homebridge';
import { tasmotaPlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
interface Subscription {
    event: string;
    callback: any;
}
export declare class TasmotaService {
    readonly platform: tasmotaPlatform;
    readonly accessory: PlatformAccessory;
    protected readonly uniq_id: string;
    service: Service;
    protected characteristic: Characteristic;
    protected device_class: string;
    statusSubscribe: Subscription;
    availabilitySubscribe: Subscription;
    protected CustomCharacteristic: any;
    fakegato: string;
    nunjucksEnvironment: any;
    protected uuid: string;
    constructor(platform: tasmotaPlatform, accessory: PlatformAccessory, uniq_id: string);
    enableFakegato(): void;
    enableStatus(): void;
    deviceClassToHKCharacteristic(device_class: string): any;
    refresh(): void;
    statusUpdate(topic: any, message: any): void;
    /**
     * Handle "LWT" Last Will and Testament messages from Tasmota
     * These are sent when the device is no longer available from the MQTT server.
     */
    availabilityUpdate(topic: any, message: any): void;
    delta(value1: any, value2: any): boolean;
    parseValue(valueTemplate: any, value: any): any;
}
export declare function isTrue(value: string | boolean | number): boolean;
export {};
//# sourceMappingURL=TasmotaService.d.ts.map