import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, Service, Characteristic } from 'homebridge';
import { tasmotaSwitchService } from './tasmotaSwitchService';
import { tasmotaGarageService } from './tasmotaGarageService';
import { tasmotaLightService } from './tasmotaLightService';
import { tasmotaFanService } from './tasmotaFanService';
import { tasmotaSensorService } from './tasmotaSensorService';
import { tasmotaBinarySensorService } from './tasmotaBinarySensorService';
export declare class tasmotaPlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly config: any;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    readonly accessories: PlatformAccessory[];
    private readonly defunctAccessories;
    readonly services: tasmotaGarageService[] | tasmotaSwitchService[] | tasmotaLightService[] | tasmotaSensorService[] | tasmotaBinarySensorService[] | tasmotaFanService[];
    private discoveryTopicMap;
    private CustomCharacteristic;
    private cleanup;
    private timeouts;
    private timeoutCounter;
    private debug;
    FakeGatoHistoryService: any;
    teleperiod: number;
    constructor(log: Logger, config: any, api: API);
    /**
     * This function is invoked when homebridge restores cached accessories from disk at startup.
     * It should be used to setup event handlers for characteristics and update respective values.
     */
    configureAccessory(accessory: PlatformAccessory): void;
    isTopicAllowed(topic: string, filter: string, filterAllow: Array<string>, filterDeny: Array<string>): boolean;
    /**
     * This is an example method showing how to register discovered accessories.
     * Accessories must only be registered once, previously created accessories
     * must not be registered again to prevent "duplicate UUID" errors.
     */
    discoverDevices(): void;
    discoveryOveride(uniq_id: string, message: any): any;
    serviceCleanup(uniq_id: string, existingAccessory: PlatformAccessory): void;
    autoCleanup(accessory: PlatformAccessory): any;
    accessoryCleanup(existingAccessory: PlatformAccessory): void;
    cleanupDefunctAccessories(): void;
}
//# sourceMappingURL=platform.d.ts.map