import { PlatformAccessory, CharacteristicValue, CharacteristicSetCallback } from 'homebridge';
import { TasmotaService } from './TasmotaService';
import { tasmotaPlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class tasmotaLightService extends TasmotaService {
    readonly platform: tasmotaPlatform;
    readonly accessory: PlatformAccessory;
    protected readonly uniq_id: string;
    private update;
    private TVservice;
    constructor(platform: tasmotaPlatform, accessory: PlatformAccessory, uniq_id: string);
    setActiveIdentifier(value: any, callback: any): void;
    setConfiguredName(value: any, callback: any): void;
    /**
     * Handle "STATE" messages from Tasmotastat_t:
     * These are sent when the device's state is changed, either via HomeKit, Local Control or Other control methods.
     */
    statusUpdate(topic: any, message: any): void;
    setOn(value: CharacteristicValue, callback: CharacteristicSetCallback): void;
    setBrightness(value: CharacteristicValue, callback: CharacteristicSetCallback): void;
    setHue(value: CharacteristicValue, callback: CharacteristicSetCallback): void;
    setSaturation(value: CharacteristicValue, callback: CharacteristicSetCallback): void;
    setColorTemperature(value: CharacteristicValue, callback: CharacteristicSetCallback): void;
}
//# sourceMappingURL=tasmotaLightService.d.ts.map