import { PlatformAccessory, CharacteristicValue, CharacteristicSetCallback } from 'homebridge';
import { TasmotaService } from './TasmotaService';
import { tasmotaPlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class tasmotaSwitchService extends TasmotaService {
    readonly platform: tasmotaPlatform;
    readonly accessory: PlatformAccessory;
    protected readonly uniq_id: string;
    constructor(platform: tasmotaPlatform, accessory: PlatformAccessory, uniq_id: string);
    /**
     * Handle "STATE" messages from Tasmotastat_t:
     * These are sent when the device's state is changed, either via HomeKit, Local Control or Other control methods.
     */
    statusUpdate(topic: any, message: any): void;
    /**
     * Handle "SET" requests from HomeKit
     * These are sent when the user changes the state of an accessory, for example, turning on a Light bulb.
     */
    setOn(value: CharacteristicValue, callback: CharacteristicSetCallback): void;
}
//# sourceMappingURL=tasmotaSwitchService.d.ts.map